## seafile-client 6.2.11

=== CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 2.8.9)

PROJECT(seafile-client)
SET(SEAFILE_CLIENT_VERSION_MAJOR 6)
SET(SEAFILE_CLIENT_VERSION_MINOR 2)
SET(SEAFILE_CLIENT_VERSION_PATCH 11)
SET(PROJECT_VERSION "${SEAFILE_CLIENT_VERSION_MAJOR}.${SEAFILE_CLIENT_VERSION_MINOR}.${SEAFILE_CLIENT_VERSION_PATCH}")
ADD_DEFINITIONS(-DSEAFILE_CLIENT_VERSION=${PROJECT_VERSION})
INCLUDE(FindPkgConfig)

## Build crash repoter on release build as default
IF (NOT (${CMAKE_BUILD_TYPE} MATCHES Release))
  SET(CMAKE_BUILD_TYPE Debug)
ENDIF()

# CMake's builtin UNIX variable is true on Mac/Linux/BSD, but sometimes we want
# to detect for LINUX.
IF (UNIX AND NOT APPLE)
  SET(LINUX TRUE)
ENDIF()

IF (APPLE AND NOT CMAKE_OSX_DEPLOYMENT_TARGET)
  SET(CMAKE_OSX_DEPLOYMENT_TARGET "10.7")
ENDIF()

FIND_PROGRAM(git_executable NAMES git git.exe git.cmd)
IF (EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/.git AND NOT (${CMAKE_BUILD_TYPE} MATCHES Release))
  EXECUTE_PROCESS(COMMAND
    ${git_executable} rev-list HEAD --count
    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
    OUTPUT_VARIABLE SEAFILE_CLIENT_REVISION
    OUTPUT_STRIP_TRAILING_WHITESPACE )
  ADD_DEFINITIONS(-DSEAFILE_CLIENT_REVISION=${SEAFILE_CLIENT_REVISION})
ENDIF()

SET(PATH_TO_BREAKPAD_ROOT CACHE "Path to breakpad's root" "")

OPTION(BUILD_TESTING "Build Test" OFF)

OPTION(BUILD_DOCS "Build Documents" OFF)

OPTION(BUILD_SHIBBOLETH_SUPPORT "Build Shibboleth support" OFF)

option(BUILD_ENABLE_WARNINGS "Enable compiler warnings." ON)

option(BUILD_SPARKLE_SUPPORT "Build Sparkle support" OFF)
IF (BUILD_SPARKLE_SUPPORT)
    ADD_DEFINITIONS(-DHAVE_SPARKLE_SUPPORT)
    IF (LINUX)
      message(FATAL_ERROR "Sparkle Support is not available for linux." )
    ENDIF()
    SET(platform_specific_moc_headers ${platform_specific_moc_headers} src/auto-update-service.h)
    SET(platform_specific_sources ${platform_specific_sources} src/auto-update-service.cpp)
    IF (NOT (${CMAKE_BUILD_TYPE} MATCHES Release))
        ADD_DEFINITIONS(-DSEAFILE_SPARKLE_DEBUG)
    ENDIF()
ENDIF()

MESSAGE("Build type: ${CMAKE_BUILD_TYPE}")

## build in PIC mode
IF (NOT WIN32)
    SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fPIC")
    SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fPIC")
ENDIF()

## Setup warnings ouput if enabled
## but don't warning on unsupported warnings
if(BUILD_ENABLE_WARNINGS)
  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -Wextra -Wsign-compare -Wno-long-long -Wno-unused-parameter")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra -Wsign-compare -Wno-long-long -Wno-unused-parameter -Woverloaded-virtual")
  if(CMAKE_CXX_COMPILER_ID STREQUAL "Clang")
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wno-unknown-warning-option")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-unknown-warning-option -Wno-inconsistent-missing-override")
  endif()
endif()

## color diagnostics fix
if(CMAKE_CXX_COMPILER_ID STREQUAL "Clang")
  SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fcolor-diagnostics")
  SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fcolor-diagnostics")
elseif(CMAKE_CXX_COMPILER_ID STREQUAL "GNU")
  execute_process(COMMAND ${CMAKE_CXX_COMPILER}
    -dumpversion OUTPUT_VARIABLE GCC_VERSION)
  if(GCC_VERSION VERSION_GREATER 4.9 OR GCC_VERSION VERSION_EQUAL 4.9)
    SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fdiagnostics-color=always")
    SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fdiagnostics-color=always")
  endif()
endif()

IF (WIN32)
    CONFIGURE_FILE(
      ${CMAKE_SOURCE_DIR}/seafile-applet.rc.in
      ${CMAKE_BINARY_DIR}/seafile-applet.rc
    )
    SET(EXTRA_LIBS ${EXTRA_LIBS} psapi ws2_32 shlwapi mpr crypt32)
    SET(EXTRA_SOURCES ${EXTRA_SOURCES} ${CMAKE_BINARY_DIR}/seafile-applet.rc)
    IF (${CMAKE_BUILD_TYPE} MATCHES Release)
      SET(GUI_TYPE WIN32)
    ENDIF()
    SET(platform_specific_moc_headers ${platform_specific_moc_headers} src/ext-handler.h)
    SET(platform_specific_sources ${platform_specific_sources} src/ext-handler.cpp)
    IF (BUILD_SPARKLE_SUPPORT)
      IF(NOT EXISTS "${CMAKE_SOURCE_DIR}/WinSparkle.lib")
        message(FATAL_ERROR "File ${CMAKE_SOURCE_DIR}/WinSparkle.lib not found in current directory. Please setup winsparkle correctly." )
      ENDIF()
      SET(SPARKLE_LIBS ${CMAKE_SOURCE_DIR}/WinSparkle.lib)
    ENDIF()

ELSEIF (LINUX)
    INCLUDE_DIRECTORIES(${QT_QTDBUS_INCLUDE_DIR})
    LINK_DIRECTORIES(${QT_QTDBUS_LIBRARIES})
    SET(EXTRA_LIBS ${EXTRA_LIBS} ${QT_QTDBUS_LIBRARIES})
ELSEIF (APPLE)
    IF (BUILD_SPARKLE_SUPPORT)
        SET(platform_specific_sources ${platform_specific_sources} src/mac-sparkle-support.mm)
        SET_SOURCE_FILES_PROPERTIES(src/mac-sparkle-support.mm
          PROPERTIES COMPILE_FLAGS -fobjc-arc)

        SET(SPARKLE_FRAMEWORK /usr/local/Sparkle.framework)
        IF(NOT EXISTS "${SPARKLE_FRAMEWORK}")
          message(FATAL_ERROR "File ${SPARKLE_FRAMEWORK} not found. Please setup it correctly.")
        ENDIF()
        INCLUDE_DIRECTORIES(${SPARKLE_FRAMEWORK}/Headers)
        SET(EXTRA_LIBS ${EXTRA_LIBS} ${SPARKLE_FRAMEWORK})
    ENDIF()

    SET(platform_specific_sources ${platform_specific_sources} src/application.cpp)
    ## Enforce ARC for this file, since ARC is only supported after the objc
    ## runtime changes in os x 10.10
    SET_SOURCE_FILES_PROPERTIES(src/utils/utils-mac.mm
      PROPERTIES COMPILE_FLAGS -fobjc-arc)

    FIND_LIBRARY(COCOA_LIBRARY Cocoa)
    MARK_AS_ADVANCED (COCOA_LIBRARY)
    FIND_LIBRARY(Sec_LIBRARY Security)
    MARK_AS_ADVANCED (Sec_LIBRARY)
    SET(EXTRA_LIBS ${EXTRA_LIBS} ${COCOA_LIBRARY} ${Sec_LIBRARY})
ENDIF()

IF(APPLE)
    ADD_DEFINITIONS(-DHAVE_FINDER_SYNC_SUPPORT)
    SET(platform_specific_moc_headers ${platform_specific_moc_headers} src/finder-sync/finder-sync-host.h)
    SET(platform_specific_sources ${platform_specific_sources}
        src/finder-sync/finder-sync.cpp src/finder-sync/finder-sync-listener.mm
        src/finder-sync/finder-sync-host.cpp)
    SET_SOURCE_FILES_PROPERTIES(src/finder-sync/finder-sync-listener.mm
        PROPERTIES COMPILE_FLAGS -fobjc-arc)
ENDIF()

####################
###### BEGIN: QT configuration
####################
SET(QT_VERSION_MAJOR 5)

# Qt 5.6.0 removes QtWebKit, we need to use QtWebEnigne. First we detect the
# current qt version, then use proper name based on the version. However we
# have to keep using QtWebKit on windows because QtWebEngine can't be
# compiled in msys2/mingw (QtWebEnigne is based on chrome, which has to be
# compiled with MSVC.)
FIND_PROGRAM(qmake_executable NAMES qmake qmake.exe)
EXECUTE_PROCESS(COMMAND
    bash -c "${qmake_executable} --version | grep -iE '^using qt version [0-9.]+' | awk '{print $4}'"
    OUTPUT_VARIABLE DETECTED_QT_VERSION
    OUTPUT_STRIP_TRAILING_WHITESPACE)
MESSAGE("qt5 version: ${DETECTED_QT_VERSION}")
IF(WIN32 OR DETECTED_QT_VERSION VERSION_LESS 5.6.0)
    ADD_DEFINITIONS(-DSEAFILE_USE_WEBKIT)
    SET(WEBKIT_NAME "WebKit")
    SET(WEBKIT_WIDGETS_NAME "WebKitWidgets")
ELSE()
    SET(WEBKIT_NAME "WebEngine")
    SET(WEBENGINE_CORE "WebEngineCore")
    SET(WEBKIT_WIDGETS_NAME "WebEngineWidgets")
    SET(SHIB_EXTRA_HEADER "src/shib/shib-helper.h")
ENDIF()

SET(USE_QT_LIBRARIES
    Core Gui Widgets LinguistTools Network
    )
IF (BUILD_SHIBBOLETH_SUPPORT)
    SET(USE_QT_LIBRARIES ${USE_QT_LIBRARIES} ${WEBENGINE_CORE} ${WEBKIT_NAME} ${WEBKIT_WIDGETS_NAME})
    ADD_DEFINITIONS(-DHAVE_SHIBBOLETH_SUPPORT)
ENDIF()

IF (${CMAKE_SYSTEM_NAME} MATCHES "Linux")
    SET(USE_QT_LIBRARIES ${USE_QT_LIBRARIES} "DBus")
ENDIF()

FIND_PACKAGE(Qt5 REQUIRED ${USE_QT_LIBRARIES})
SET(QT_LUPDATE_EXECUTABLE ${Qt5_LUPDATE_EXECUTABLE})
# from QT 5.4.0 Changelog
# The Qt binary packages are now configured with C++11 enabled.
# this requires your gcc compiler newer than 4.8.1 or clang newer than 3.3

if (CYGWIN OR MINGW)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=gnu++11")
else()
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
endif()

# for OS X, we requires libc++ instead
if (APPLE)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -stdlib=libc++")
    SET(CMAKE_XCODE_ATTRIBUTE_CLANG_CXX_LANGUAGE_STANDARD "c++11")
    SET(CMAKE_XCODE_ATTRIBUTE_CLANG_CXX_LIBRARY "libc++")
endif()

ADD_DEFINITIONS(-DQUAZIP_STATIC)

# MOC FILES
SET(moc_headers
  src/seafile-applet.h
  src/account-mgr.h
  src/configurator.h
  src/daemon-mgr.h
  src/auto-login-service.h
  src/repo-service.h
  src/repo-service-helper.h
  src/events-service.h
  src/avatar-service.h
  src/open-local-helper.h
  src/server-status-service.h
  src/account-info-service.h
  src/customization-service.h
  src/message-poller.h
  src/network-mgr.h
  src/settings-mgr.h
  src/traynotificationwidget.h
  src/traynotificationmanager.h
  src/log-uploader.h
  src/api/api-client.h
  src/api/api-request.h
  src/api/requests.h
  src/rpc/rpc-client.h
  src/rpc/rpc-server.h
  src/ui/main-window.h
  src/ui/init-seafile-dialog.h
  src/ui/login-dialog.h
  src/ui/account-settings-dialog.h
  src/ui/check-repo-root-perm-dialog.h
  src/ui/create-repo-dialog.h
  src/ui/repo-detail-dialog.h
  src/ui/settings-dialog.h
  src/ui/download-repo-dialog.h
  src/ui/cloud-view.h
  src/ui/tray-icon.h
  src/ui/about-dialog.h
  src/ui/repo-tree-model.h
  src/ui/repo-tree-view.h
  src/ui/repo-item-delegate.h
  src/ui/clone-tasks-dialog.h
  src/ui/clone-tasks-table-model.h
  src/ui/clone-tasks-table-view.h
  src/ui/server-status-dialog.h
  src/ui/search-tab.h
  src/ui/search-tab-items.h
  src/ui/init-vdrive-dialog.h
  src/ui/uninstall-helper-dialog.h
  src/ui/ssl-confirm-dialog.h
  src/ui/private-share-dialog.h
  src/ui/user-name-completer.h
  src/ui/account-view.h
  src/ui/seafile-tab-widget.h
  src/ui/tab-view.h
  src/ui/loading-view.h
  src/ui/logout-view.h
  src/ui/repos-tab.h
  src/ui/starred-files-tab.h
  src/ui/starred-files-list-view.h
  src/ui/starred-files-list-model.h
  src/ui/starred-file-item-delegate.h
  src/ui/activities-tab.h
  src/ui/events-list-view.h
  src/ui/event-details-dialog.h
  src/ui/event-details-tree.h
  src/ui/set-repo-password-dialog.h
  src/ui/sync-errors-dialog.h
  src/ui/search-bar.h
  src/ui/two-factor-dialog.h
  src/filebrowser/file-browser-manager.h
  src/filebrowser/file-browser-dialog.h
  src/filebrowser/file-browser-requests.h
  src/filebrowser/file-browser-search-tab.h
  src/filebrowser/file-table.h
  src/filebrowser/data-mgr.h
  src/filebrowser/tasks.h
  src/filebrowser/reliable-upload.h
  src/filebrowser/progress-dialog.h
  src/filebrowser/sharedlink-dialog.h
  src/filebrowser/seafilelink-dialog.h
  src/filebrowser/auto-update-mgr.h
  src/filebrowser/transfer-mgr.h
  src/filebrowser/thumbnail-service.h
  third_party/QtAwesome/QtAwesome.h
  third_party/quazip/quazipfile.h
  ${platform_specific_moc_headers}
)

IF (APPLE)
  SET(moc_headers ${moc_headers} src/application.h)
ENDIF()

IF (BUILD_SHIBBOLETH_SUPPORT)
  SET(moc_headers ${moc_headers} src/shib/shib-login-dialog.h ${SHIB_EXTRA_HEADER})
ENDIF()

# UI FILES
SET(ui_files
  ui/about-dialog.ui
  ui/login-dialog.ui
  ui/account-settings-dialog.ui
  ui/create-repo-dialog.ui
  ui/repo-detail-dialog.ui
  ui/settings-dialog.ui
  ui/download-repo-dialog.ui
  ui/init-seafile-dialog.ui
  ui/cloud-view.ui
  ui/clone-tasks-dialog.ui
  ui/server-status-dialog.ui
  ui/init-vdrive-dialog.ui
  ui/uninstall-helper-dialog.ui
  ui/ssl-confirm-dialog.ui
  ui/private-share-dialog.ui
  ui/account-view.ui
  ui/two-factor-dialog.ui
  ui/set-repo-password-dialog.ui
  ${platform_specific_ui_files}
)

# RESOURCES
SET(qrc_files
  seafile-client.qrc
  third_party/QtAwesome/QtAwesome.qrc
)

QT5_WRAP_UI(ui_output ${ui_files})

# meta object compliation(moc)
QT5_WRAP_CPP(moc_output ${moc_headers})

# resources files
QT5_ADD_RESOURCES(resources_ouput ${qrc_files})

# MESSAGE("moc output: ${moc_output}")
# MESSAGE("ui output: ${ui_output}")

####################
###### END: QT configuration
####################

####################
###### BEGIN: pthread support is required explicitly on linux
####################

IF(NOT WIN32 AND NOT APPLE)
  SET(CMAKE_THREAD_PREFER_PTHREAD ON)
  INCLUDE(FindThreads)
  LINK_LIBRARIES(${CMAKE_THREAD_LIBS_INIT})

=== debian/changelog ===
seafile-client (6.2.11-1) unstable; urgency=medium

  * New upstream version 6.2.11
  * Update Standards-Version

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Tue, 29 Jan 2019 20:19:41 +0100

=== debian/control ===
Source: seafile-client
Maintainer: Debian Seafile Team <team+seafile@tracker.debian.org>
Uploaders: Christoph Martin <martin@uni-mainz.de>, Moritz Schlarb <schlarbm@uni-mainz.de>
Section: net
Priority: optional
Build-Depends:
 cmake,
 debhelper (>= 10),
 intltool,
 libcurl4-openssl-dev,
 libevent-dev,
 libglib2.0-dev,
 libjansson-dev,
 libquazip5-dev,
 libseafile-dev (>= 6.2.0),
 libsearpc-dev (>= 3.1.0),
 libsqlite3-dev,
 libssl-dev,
 libtool,
 qtbase5-dev,
 qtchooser,
 qttools5-dev,
 qttools5-dev-tools,
 qtwebengine5-dev [!armel !mips !mips64el !ppc64el !s390x !alpha !hppa !m68k !powerpc !ppc64 !sh4 !sparc64],
 libqt5webkit5-dev [armel mips mips64el ppc64el s390x alpha hppa m68k powerpc ppc64 sh4 sparc64],
 uuid-dev,
Standards-Version: 4.3.0
Homepage: http://seafile.com
Vcs-Browser: https://salsa.debian.org/debian/seafile-client
Vcs-Git: https://salsa.debian.org/debian/seafile-client.git

Package: seafile-gui
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 libsearpc1 (>= 3.1.0),
 libseafile0 (>= ${source:Upstream-Version}),
 seafile-daemon (>= ${source:Upstream-Version}),
Suggests: seafile-cli
Description: Seafile Desktop Client
 Seafile is a file syncing and sharing software with file encryption
 and group sharing, emphasis on reliability and high performance.
 .
 Seafile is an open source cloud storage system with privacy protection
 and teamwork features. Collections of files are called libraries. Each
 library can be synced separately. A library can also be encrypted with
 a user chosen password. Seafile also allows users to create groups and
 easily sharing files into groups.
 .
 This package contains the graphical Desktop Client for Seafile.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

export QT_SELECT=5

%:
	dh $@ --builddirectory=build

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_BUILD_TYPE=Release -DBUILD_TESTING=ON -DBUILD_SHIBBOLETH_SUPPORT=ON

override_dh_strip:
	dh_strip --dbgsym-migration='seafile-gui-dbg (<< 6.0.7-1)'

## seafile-client 6.2.11.1+rb2

=== debian/changelog ===
seafile-client (6.2.11.1+rb2-1+eagle) unstable; urgency=medium

  * update

 -- Debian Seafile Team <team+seafile@tracker.debian.org>  Mon, 01 Feb 2021 16:13:35 +0800

## seafile-client 7.0.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 CMAKE_MINIMUM_REQUIRED(VERSION 2.8.9)
 
 PROJECT(seafile-client)
-SET(SEAFILE_CLIENT_VERSION_MAJOR 6)
-SET(SEAFILE_CLIENT_VERSION_MINOR 2)
-SET(SEAFILE_CLIENT_VERSION_PATCH 11)
+SET(SEAFILE_CLIENT_VERSION_MAJOR 7)
+SET(SEAFILE_CLIENT_VERSION_MINOR 0)
+SET(SEAFILE_CLIENT_VERSION_PATCH 2)
 SET(PROJECT_VERSION "${SEAFILE_CLIENT_VERSION_MAJOR}.${SEAFILE_CLIENT_VERSION_MINOR}.${SEAFILE_CLIENT_VERSION_PATCH}")
 ADD_DEFINITIONS(-DSEAFILE_CLIENT_VERSION=${PROJECT_VERSION})
 INCLUDE(FindPkgConfig)

=== debian/changelog ===
seafile-client (7.0.2-2) unstable; urgency=high

  * Fix versioned dependencies (Closes: #943789)

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Wed, 30 Oct 2019 11:18:13 +0100

seafile-client (7.0.2-1) unstable; urgency=medium

  * Use secure URI in Homepage field.
  * New upstream version 7.0.2
  * Drop upstreamed patch 0005
  * Update gitlab-ci.yml
  * Add patch for cli-help (Upstream PR#1223)
  * Update d/control

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Tue, 08 Oct 2019 15:07:37 +0200

seafile-client (6.2.9-2) unstable; urgency=medium

  * Add Patch from #988: Accept close event instead of ignoring it

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Thu, 10 Jan 2019 12:16:40 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  libglib2.0-dev,
  libjansson-dev,
  libquazip5-dev,
- libseafile-dev (>= 6.2.0),
+ libseafile-dev (>= 7),
  libsearpc-dev (>= 3.1.0),
  libsqlite3-dev,
  libssl-dev,
@@ -24,8 +24,8 @@
  qtwebengine5-dev [!armel !mips !mips64el !ppc64el !s390x !alpha !hppa !m68k !powerpc !ppc64 !sh4 !sparc64],
  libqt5webkit5-dev [armel mips mips64el ppc64el s390x alpha hppa m68k powerpc ppc64 sh4 sparc64],
  uuid-dev,
-Standards-Version: 4.3.0
-Homepage: http://seafile.com
+Standards-Version: 4.4.1
+Homepage: https://seafile.com
 Vcs-Browser: https://salsa.debian.org/debian/seafile-client
 Vcs-Git: https://salsa.debian.org/debian/seafile-client.git
 
@@ -35,7 +35,7 @@
  libsearpc1 (>= 3.1.0),
  libseafile0 (>= ${source:Upstream-Version}),
  seafile-daemon (>= ${source:Upstream-Version}),
-Suggests: seafile-cli
+Suggests: seafile-cli (>= ${source:Upstream-Version})
 Description: Seafile Desktop Client
  Seafile is a file syncing and sharing software with file encryption
  and group sharing, emphasis on reliability and high performance.

## seafile-client 7.0.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 PROJECT(seafile-client)
 SET(SEAFILE_CLIENT_VERSION_MAJOR 7)
 SET(SEAFILE_CLIENT_VERSION_MINOR 0)
-SET(SEAFILE_CLIENT_VERSION_PATCH 2)
+SET(SEAFILE_CLIENT_VERSION_PATCH 4)
 SET(PROJECT_VERSION "${SEAFILE_CLIENT_VERSION_MAJOR}.${SEAFILE_CLIENT_VERSION_MINOR}.${SEAFILE_CLIENT_VERSION_PATCH}")
 ADD_DEFINITIONS(-DSEAFILE_CLIENT_VERSION=${PROJECT_VERSION})
 INCLUDE(FindPkgConfig)

## seafile-client 7.0.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 PROJECT(seafile-client)
 SET(SEAFILE_CLIENT_VERSION_MAJOR 7)
 SET(SEAFILE_CLIENT_VERSION_MINOR 0)
-SET(SEAFILE_CLIENT_VERSION_PATCH 4)
+SET(SEAFILE_CLIENT_VERSION_PATCH 5)
 SET(PROJECT_VERSION "${SEAFILE_CLIENT_VERSION_MAJOR}.${SEAFILE_CLIENT_VERSION_MINOR}.${SEAFILE_CLIENT_VERSION_PATCH}")
 ADD_DEFINITIONS(-DSEAFILE_CLIENT_VERSION=${PROJECT_VERSION})
 INCLUDE(FindPkgConfig)
@@ -20,7 +20,7 @@
 ENDIF()
 
 IF (APPLE AND NOT CMAKE_OSX_DEPLOYMENT_TARGET)
-  SET(CMAKE_OSX_DEPLOYMENT_TARGET "10.7")
+  SET(CMAKE_OSX_DEPLOYMENT_TARGET "10.9")
 ENDIF()
 
 FIND_PROGRAM(git_executable NAMES git git.exe git.cmd)

=== debian/changelog ===
seafile-client (7.0.5-1) unstable; urgency=medium

  * New upstream version 7.0.5
  * Refresh patches

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Tue, 14 Jan 2020 12:08:38 +0100

seafile-client (7.0.4-1) unstable; urgency=medium

  * New upstream version 7.0.4
  * Update dependency version searpc

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Mon, 25 Nov 2019 10:56:49 +0100

=== debian/control ===
--- 
+++ 
@@ -12,8 +12,8 @@
  libglib2.0-dev,
  libjansson-dev,
  libquazip5-dev,
- libseafile-dev (>= 7),
- libsearpc-dev (>= 3.1.0),
+ libseafile-dev (>= 7.0.4),
+ libsearpc-dev (>= 3.2.0),
  libsqlite3-dev,
  libssl-dev,
  libtool,
@@ -32,7 +32,7 @@
 Package: seafile-gui
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
- libsearpc1 (>= 3.1.0),
+ libsearpc1 (>= 3.2.0),
  libseafile0 (>= ${source:Upstream-Version}),
  seafile-daemon (>= ${source:Upstream-Version}),
 Suggests: seafile-cli (>= ${source:Upstream-Version})

## seafile-client 7.0.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 PROJECT(seafile-client)
 SET(SEAFILE_CLIENT_VERSION_MAJOR 7)
 SET(SEAFILE_CLIENT_VERSION_MINOR 0)
-SET(SEAFILE_CLIENT_VERSION_PATCH 5)
+SET(SEAFILE_CLIENT_VERSION_PATCH 6)
 SET(PROJECT_VERSION "${SEAFILE_CLIENT_VERSION_MAJOR}.${SEAFILE_CLIENT_VERSION_MINOR}.${SEAFILE_CLIENT_VERSION_PATCH}")
 ADD_DEFINITIONS(-DSEAFILE_CLIENT_VERSION=${PROJECT_VERSION})
 INCLUDE(FindPkgConfig)

=== debian/changelog ===
seafile-client (7.0.6-1) unstable; urgency=medium

  * Add lintian override version-substvar-for-external-package
  * allow failure of piuparts, because missing ca-certificates
  * Update Standards-Version and use declarative dh
  * New upstream version 7.0.6

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Thu, 13 Feb 2020 09:56:25 +0100

=== debian/rules ===
--- 
+++ 
@@ -19,7 +19,7 @@
 	dh $@ --builddirectory=build
 
 override_dh_auto_configure:
-	dh_auto_configure -- -DCMAKE_BUILD_TYPE=Release -DBUILD_TESTING=ON -DBUILD_SHIBBOLETH_SUPPORT=ON
+	dh_auto_configure -- -DCMAKE_BUILD_TYPE=Release -DBUILD_TESTING=ON -DBUILD_SHIBBOLETH_SUPPORT=ON -DAUTOMOC_MOC_OPTIONS=-p./
 
 override_dh_strip:
 	dh_strip --dbgsym-migration='seafile-gui-dbg (<< 6.0.7-1)'

## seafile-client 7.0.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 PROJECT(seafile-client)
 SET(SEAFILE_CLIENT_VERSION_MAJOR 7)
 SET(SEAFILE_CLIENT_VERSION_MINOR 0)
-SET(SEAFILE_CLIENT_VERSION_PATCH 6)
+SET(SEAFILE_CLIENT_VERSION_PATCH 7)
 SET(PROJECT_VERSION "${SEAFILE_CLIENT_VERSION_MAJOR}.${SEAFILE_CLIENT_VERSION_MINOR}.${SEAFILE_CLIENT_VERSION_PATCH}")
 ADD_DEFINITIONS(-DSEAFILE_CLIENT_VERSION=${PROJECT_VERSION})
 INCLUDE(FindPkgConfig)

=== debian/changelog ===
seafile-client (7.0.7-1) unstable; urgency=medium

  * New upstream version 7.0.7

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Tue, 12 May 2020 09:39:25 +0200

## seafile-client 7.0.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 PROJECT(seafile-client)
 SET(SEAFILE_CLIENT_VERSION_MAJOR 7)
 SET(SEAFILE_CLIENT_VERSION_MINOR 0)
-SET(SEAFILE_CLIENT_VERSION_PATCH 7)
+SET(SEAFILE_CLIENT_VERSION_PATCH 8)
 SET(PROJECT_VERSION "${SEAFILE_CLIENT_VERSION_MAJOR}.${SEAFILE_CLIENT_VERSION_MINOR}.${SEAFILE_CLIENT_VERSION_PATCH}")
 ADD_DEFINITIONS(-DSEAFILE_CLIENT_VERSION=${PROJECT_VERSION})
 INCLUDE(FindPkgConfig)

=== debian/changelog ===
seafile-client (7.0.8-1) unstable; urgency=medium

  * Update QuaZip Patch (Closes: #963280)
  * New upstream version 7.0.8

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Wed, 08 Jul 2020 11:30:17 +0200

## seafile-client 7.0.10

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 PROJECT(seafile-client)
 SET(SEAFILE_CLIENT_VERSION_MAJOR 7)
 SET(SEAFILE_CLIENT_VERSION_MINOR 0)
-SET(SEAFILE_CLIENT_VERSION_PATCH 8)
+SET(SEAFILE_CLIENT_VERSION_PATCH 10)
 SET(PROJECT_VERSION "${SEAFILE_CLIENT_VERSION_MAJOR}.${SEAFILE_CLIENT_VERSION_MINOR}.${SEAFILE_CLIENT_VERSION_PATCH}")
 ADD_DEFINITIONS(-DSEAFILE_CLIENT_VERSION=${PROJECT_VERSION})
 INCLUDE(FindPkgConfig)
@@ -42,6 +42,8 @@
 OPTION(BUILD_SHIBBOLETH_SUPPORT "Build Shibboleth support" OFF)
 
 option(BUILD_ENABLE_WARNINGS "Enable compiler warnings." ON)
+
+option(USE_QT_WEBKIT "Build use QT webkit" OFF)
 
 option(BUILD_SPARKLE_SUPPORT "Build Sparkle support" OFF)
 IF (BUILD_SPARKLE_SUPPORT)
@@ -164,7 +166,7 @@
     OUTPUT_VARIABLE DETECTED_QT_VERSION
     OUTPUT_STRIP_TRAILING_WHITESPACE)
 MESSAGE("qt5 version: ${DETECTED_QT_VERSION}")
-IF(WIN32 OR DETECTED_QT_VERSION VERSION_LESS 5.6.0)
+IF(WIN32 OR USE_QT_WEBKIT)
     ADD_DEFINITIONS(-DSEAFILE_USE_WEBKIT)
     SET(WEBKIT_NAME "WebKit")
     SET(WEBKIT_WIDGETS_NAME "WebKitWidgets")
@@ -356,4 +358,3 @@
 IF(NOT WIN32 AND NOT APPLE)
   SET(CMAKE_THREAD_PREFER_PTHREAD ON)
   INCLUDE(FindThreads)
-  LINK_LIBRARIES(${CMAKE_THREAD_LIBS_INIT})

=== fsplugin/CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 2.8.11)

PROJECT(seafile-fsplugin)
SET(PROJECT_VERSION "1.0.0")

IF (NOT (${CMAKE_BUILD_TYPE} MATCHES Release))
  SET(CMAKE_BUILD_TYPE Debug)
ENDIF()

SET(CODESIGN_CERTIFICATE "-" CACHE STRING "the certificate to sign code")

MESSAGE(STATUS "Build type: ${CMAKE_BUILD_TYPE}")

IF (NOT APPLE)
    MESSAGE(FATAL_ERROR "Support only on OS X")
ENDIF()

IF (NOT CMAKE_GENERATOR STREQUAL Xcode)
    MESSAGE(FATAL_ERROR "Support only for Xcode generator")
ENDIF()

## Build with warnings
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -Wextra -Wsign-compare -Wno-long-long -Wno-unused-parameter")
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra -Wsign-compare -Wno-long-long -Wno-unused-parameter -Woverloaded-virtual")

## Find the dependencies

FIND_LIBRARY(AppKit_LIBRARY AppKit)
FIND_LIBRARY(FinderSync_LIBRARY FinderSync)
FIND_LIBRARY(PlugInKit_LIBRARY PlugInKit
  PATHS ${CMAKE_OSX_SYSROOT}/System/Library/PrivateFrameworks/)

if (NOT PlugInKit_LIBRARY)
  MESSAGE(FATAL_ERROR "PlugInKit not found")
endif()

ADD_DEFINITIONS(-fapplication-extension -fmodules)
SET(CMAKE_EXE_LINKER_FLAGS "-fapplication-extension -e _NSExtensionMain -fobjc-arc -fobjc-link-runtime ${CMAKE_EXE_LINKER_FLAGS}")

INCLUDE_DIRECTORIES(${CMAKE_CURRENT_SOURCE_DIR})
SET(FSPLUGIN_SRC
  ../src/utils/stl.cpp
  ../src/utils/stl.h
  FinderSync.mm
  FinderSyncClient.mm
  )

## update en.lproj
ADD_CUSTOM_TARGET(update-lproj
  COMMAND genstrings -o en.lproj ${FSPLUGIN_SRC}
  DEPENDS ${FSPLUGIN_SRC})

ADD_EXECUTABLE(seafile-finder-sync MACOSX_BUNDLE
  ${FSPLUGIN_SRC}
)

SET_TARGET_PROPERTIES(seafile-finder-sync PROPERTIES
  OUTPUT_NAME "Seafile FinderSync"
  MACOSX_BUNDLE_INFO_PLIST ${CMAKE_CURRENT_SOURCE_DIR}/Info.plist
  XCODE_ATTRIBUTE_MACOSX_DEPLOYMENT_TARGET "10.10"
  XCODE_ATTRIBUTE_LD_RUNPATH_SEARCH_PATHS "@executable_path/../Frameworks @executable_path/../../../../Frameworks"
  XCODE_ATTRIBUTE_CLANG_ENABLE_OBJC_ARC "YES"
  XCODE_ATTRIBUTE_CLANG_CXX_LANGUAGE_STANDARD "c++11"
  XCODE_ATTRIBUTE_CLANG_CXX_LIBRARY "libc++"
  XCODE_ATTRIBUTE_DEVELOPMENT_LANGUAGE "English"
  XCODE_ATTRIBUTE_LOCALIZED_RESOURCES_FOLDER_PATH "Seafile FinderSync.appex/English.lproj"
  XCODE_ATTRIBUTE_INFOSTRINGS_PATH "Seafile FinderSync.appex/English.lproj/InfoPlist.strings"
  XCODE_ATTRIBUTE_UNLOCALIZED_RESOURCES_FOLDER_PATH "Seafile FinderSync.appex"
  )

TARGET_LINK_LIBRARIES(seafile-finder-sync
  ${FinderSync_LIBRARY}
  ${PlugInKit_LIBRARY}
  ${AppKit_LIBRARY}
)

### rename to Seafile Client.appex and copy related resource files

SET(BUILD_DIR "${CMAKE_CURRENT_BINARY_DIR}/\${CONFIGURATION}/Seafile FinderSync.app")
SET(TARGET_DIR "${CMAKE_CURRENT_BINARY_DIR}/Seafile FinderSync.appex")

ADD_CUSTOM_TARGET(clean_old_target
  COMMAND ${CMAKE_COMMAND} -E remove -f ${TARGET_DIR}
  )
ADD_CUSTOM_TARGET(copy_fsplugin
  COMMAND ${CMAKE_COMMAND} -E copy_directory ${BUILD_DIR} ${TARGET_DIR}
  DEPENDS seafile-finder-sync clean_old_target
  )

ADD_CUSTOM_TARGET(create_resource_dir
  COMMAND ${CMAKE_COMMAND} -E make_directory ${TARGET_DIR}/Contents/Resources
  DEPENDS copy_fsplugin
  )
ADD_CUSTOM_TARGET(copy_resources_icns
  COMMAND ${CMAKE_COMMAND} -E copy ${CMAKE_CURRENT_BINARY_DIR}/../seafile.icns ${TARGET_DIR}/Contents/Resources/
  COMMAND ${CMAKE_COMMAND} -E copy status-done.icns ${TARGET_DIR}/Contents/Resources/
  COMMAND ${CMAKE_COMMAND} -E copy status-error.icns ${TARGET_DIR}/Contents/Resources/
  COMMAND ${CMAKE_COMMAND} -E copy status-syncing.icns ${TARGET_DIR}/Contents/Resources/
  COMMAND ${CMAKE_COMMAND} -E copy status-ignored.icns ${TARGET_DIR}/Contents/Resources/
  COMMAND ${CMAKE_COMMAND} -E copy status-locked.icns ${TARGET_DIR}/Contents/Resources/
  COMMAND ${CMAKE_COMMAND} -E copy status-locked-by-me.icns ${TARGET_DIR}/Contents/Resources/
  DEPENDS create_resource_dir
  )
ADD_CUSTOM_TARGET(copy_resources_lproj
  DEPENDS create_resource_dir)

SET(FSPLUGIN_LANGS)
file(GLOB FSPLUGIN_LPROJS RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} "*.lproj")

FOREACH(LPROJ ${FSPLUGIN_LPROJS})
  STRING(REGEX REPLACE "^.*/([a-z]+)\\.lproj/.*$" "\\1" _LANG ${LPROJ})
  LIST(FIND FSPLUGIN_LANGS "${_LANG}" _INDEX)
  IF(_INDEX EQUAL -1)
    LIST(APPEND FSPLUGIN_LANGS ${_LANG})
    ADD_CUSTOM_TARGET(copy_resources_lproj_${_LANG}
    COMMAND cp -r ${_LANG} ${TARGET_DIR}/Contents/Resources/
    DEPENDS create_resource_dir)
    ADD_DEPENDENCIES(copy_resources_lproj copy_resources_lproj_${_LANG})
  ENDIF(_INDEX EQUAL -1)
ENDFOREACH()

### codesign

FIND_PROGRAM(CODESIGN codesign)

ADD_CUSTOM_TARGET(codesign ALL
  COMMAND ${CODESIGN} --force --sign ${CODESIGN_CERTIFICATE} --entitlements ${CMAKE_CURRENT_SOURCE_DIR}/seafile-fsplugin.entitlements ${TARGET_DIR}
  DEPENDS copy_resources_icns copy_resources_lproj
  )

=== debian/changelog ===
seafile-client (7.0.10-3) unstable; urgency=medium

  * Fix string concatenation in d/rules (Closes: #979571)

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Fri, 08 Jan 2021 21:43:38 +0100

seafile-client (7.0.10-2) unstable; urgency=medium

  * Fix Cmake Flag for Webkit Usage

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Wed, 11 Nov 2020 13:42:28 +0100

seafile-client (7.0.10-1) unstable; urgency=low

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Drop transition for old debug package migration.

  [ Moritz Schlarb ]
  * New upstream version 7.0.10
  * Refresh patches and add one to build against Qt 5.15
  * Update d/rules for new webkit flag

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Wed, 11 Nov 2020 12:45:36 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Priority: optional
 Build-Depends:
  cmake,
- debhelper (>= 10),
+ debhelper-compat (= 12),
  intltool,
  libcurl4-openssl-dev,
  libevent-dev,
@@ -24,7 +24,7 @@
  qtwebengine5-dev [!armel !mips !mips64el !ppc64el !s390x !alpha !hppa !m68k !powerpc !ppc64 !sh4 !sparc64],
  libqt5webkit5-dev [armel mips mips64el ppc64el s390x alpha hppa m68k powerpc ppc64 sh4 sparc64],
  uuid-dev,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://seafile.com
 Vcs-Browser: https://salsa.debian.org/debian/seafile-client
 Vcs-Git: https://salsa.debian.org/debian/seafile-client.git

=== debian/rules ===
--- 
+++ 
@@ -15,11 +15,38 @@
 
 export QT_SELECT=5
 
+CMAKE_FLAGS = -DCMAKE_BUILD_TYPE=Release -DBUILD_TESTING=ON -DBUILD_SHIBBOLETH_SUPPORT=ON -DAUTOMOC_MOC_OPTIONS=-p./
+
+include /usr/share/dpkg/architecture.mk
+
+ifeq ($(DEB_HOST_ARCH),armel)
+ CMAKE_FLAGS += -DUSE_QT_WEBKIT=ON
+else ifeq ($(DEB_HOST_ARCH),mips)
+ CMAKE_FLAGS += -DUSE_QT_WEBKIT=ON
+else ifeq ($(DEB_HOST_ARCH),mips64el)
+ CMAKE_FLAGS += -DUSE_QT_WEBKIT=ON
+else ifeq ($(DEB_HOST_ARCH),ppc64el)
+ CMAKE_FLAGS += -DUSE_QT_WEBKIT=ON
+else ifeq ($(DEB_HOST_ARCH),s390x)
+ CMAKE_FLAGS += -DUSE_QT_WEBKIT=ON
+else ifeq ($(DEB_HOST_ARCH),alpha)
+ CMAKE_FLAGS += -DUSE_QT_WEBKIT=ON
+else ifeq ($(DEB_HOST_ARCH),hppa)
+ CMAKE_FLAGS += -DUSE_QT_WEBKIT=ON
+else ifeq ($(DEB_HOST_ARCH),m68k)
+ CMAKE_FLAGS += -DUSE_QT_WEBKIT=ON
+else ifeq ($(DEB_HOST_ARCH),powerpc)
+ CMAKE_FLAGS += -DUSE_QT_WEBKIT=ON
+else ifeq ($(DEB_HOST_ARCH),ppc64)
+ CMAKE_FLAGS += -DUSE_QT_WEBKIT=ON
+else ifeq ($(DEB_HOST_ARCH),sh4)
+ CMAKE_FLAGS += -DUSE_QT_WEBKIT=ON
+else ifeq ($(DEB_HOST_ARCH),sparc64)
+ CMAKE_FLAGS += -DUSE_QT_WEBKIT=ON
+endif
+
 %:
 	dh $@ --builddirectory=build
 
 override_dh_auto_configure:
-	dh_auto_configure -- -DCMAKE_BUILD_TYPE=Release -DBUILD_TESTING=ON -DBUILD_SHIBBOLETH_SUPPORT=ON -DAUTOMOC_MOC_OPTIONS=-p./
-
-override_dh_strip:
-	dh_strip --dbgsym-migration='seafile-gui-dbg (<< 6.0.7-1)'
+	dh_auto_configure -- $(CMAKE_FLAGS)

## seafile-client 8.0.4

=== debian/changelog ===
seafile-client (8.0.4-1) unstable; urgency=medium

  * New upstream version 8.0.4

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Wed, 22 Sep 2021 21:40:42 +0200

seafile-client (8.0.3-1) unstable; urgency=medium

  * Bump debhelper, Standards-Version and watch standard
  * New upstream version 8.0.3
    * Add V4 encryption library support, which will be available in server 8.0
    * Upgrade Qt version to 5.15.1 (which supports TLS 1.3)
    * [Linux] Fix compatibility to new GLib versions
  * Drop QT 5.15 Patch

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Tue, 07 Sep 2021 10:30:22 +0200

## seafile-client 8.0.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,12 @@
 CMAKE_MINIMUM_REQUIRED(VERSION 2.8.9)
 
 PROJECT(seafile-client)
-SET(SEAFILE_CLIENT_VERSION_MAJOR 7)
+SET(SEAFILE_CLIENT_VERSION_MAJOR 8)
 SET(SEAFILE_CLIENT_VERSION_MINOR 0)
-SET(SEAFILE_CLIENT_VERSION_PATCH 10)
+SET(SEAFILE_CLIENT_VERSION_PATCH 5)
 SET(PROJECT_VERSION "${SEAFILE_CLIENT_VERSION_MAJOR}.${SEAFILE_CLIENT_VERSION_MINOR}.${SEAFILE_CLIENT_VERSION_PATCH}")
 ADD_DEFINITIONS(-DSEAFILE_CLIENT_VERSION=${PROJECT_VERSION})
+ADD_DEFINITIONS(-DGLIB_VERSION_MIN_REQUIRED=GLIB_VERSION_2_26)
 INCLUDE(FindPkgConfig)
 
 ## Build crash repoter on release build as default
@@ -291,6 +292,7 @@
   src/filebrowser/progress-dialog.h
   src/filebrowser/sharedlink-dialog.h
   src/filebrowser/seafilelink-dialog.h
+  src/filebrowser/uploadlink-dialog.h
   src/filebrowser/auto-update-mgr.h
   src/filebrowser/transfer-mgr.h
   src/filebrowser/thumbnail-service.h
@@ -355,6 +357,3 @@
 ###### BEGIN: pthread support is required explicitly on linux
 ####################
 
-IF(NOT WIN32 AND NOT APPLE)
-  SET(CMAKE_THREAD_PREFER_PTHREAD ON)
-  INCLUDE(FindThreads)

=== debian/changelog ===
seafile-client (8.0.5-1) unstable; urgency=medium

  * Fix some lintian warnings
  * New upstream version 8.0.5

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Mon, 22 Nov 2021 20:08:58 +0100

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,14 @@
 Priority: optional
 Build-Depends:
  cmake,
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  intltool,
  libcurl4-openssl-dev,
  libevent-dev,
  libglib2.0-dev,
  libjansson-dev,
  libquazip5-dev,
- libseafile-dev (>= 7.0.4),
+ libseafile-dev (>= 8.0.3),
  libsearpc-dev (>= 3.2.0),
  libsqlite3-dev,
  libssl-dev,
@@ -24,7 +24,7 @@
  qtwebengine5-dev [!armel !mips !mips64el !ppc64el !s390x !alpha !hppa !m68k !powerpc !ppc64 !sh4 !sparc64],
  libqt5webkit5-dev [armel mips mips64el ppc64el s390x alpha hppa m68k powerpc ppc64 sh4 sparc64],
  uuid-dev,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: https://seafile.com
 Vcs-Browser: https://salsa.debian.org/debian/seafile-client
 Vcs-Git: https://salsa.debian.org/debian/seafile-client.git

=== debian/watch ===
version=4

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/seafile-client-$1\.tar\.gz/ \
  https://github.com/haiwen/seafile-client/tags .*/v?(\d[\d.]*)\.tar\.gz

## seafile-client 8.0.6+ds1

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 PROJECT(seafile-client)
 SET(SEAFILE_CLIENT_VERSION_MAJOR 8)
 SET(SEAFILE_CLIENT_VERSION_MINOR 0)
-SET(SEAFILE_CLIENT_VERSION_PATCH 5)
+SET(SEAFILE_CLIENT_VERSION_PATCH 6)
 SET(PROJECT_VERSION "${SEAFILE_CLIENT_VERSION_MAJOR}.${SEAFILE_CLIENT_VERSION_MINOR}.${SEAFILE_CLIENT_VERSION_PATCH}")
 ADD_DEFINITIONS(-DSEAFILE_CLIENT_VERSION=${PROJECT_VERSION})
 ADD_DEFINITIONS(-DGLIB_VERSION_MIN_REQUIRED=GLIB_VERSION_2_26)
@@ -62,10 +62,8 @@
 MESSAGE("Build type: ${CMAKE_BUILD_TYPE}")
 
 ## build in PIC mode
-IF (NOT WIN32)
-    SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fPIC")
-    SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fPIC")
-ENDIF()
+SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fPIC")
+SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fPIC")
 
 ## Setup warnings ouput if enabled
 ## but don't warning on unsupported warnings
@@ -91,26 +89,7 @@
   endif()
 endif()
 
-IF (WIN32)
-    CONFIGURE_FILE(
-      ${CMAKE_SOURCE_DIR}/seafile-applet.rc.in
-      ${CMAKE_BINARY_DIR}/seafile-applet.rc
-    )
-    SET(EXTRA_LIBS ${EXTRA_LIBS} psapi ws2_32 shlwapi mpr crypt32)
-    SET(EXTRA_SOURCES ${EXTRA_SOURCES} ${CMAKE_BINARY_DIR}/seafile-applet.rc)
-    IF (${CMAKE_BUILD_TYPE} MATCHES Release)
-      SET(GUI_TYPE WIN32)
-    ENDIF()
-    SET(platform_specific_moc_headers ${platform_specific_moc_headers} src/ext-handler.h)
-    SET(platform_specific_sources ${platform_specific_sources} src/ext-handler.cpp)
-    IF (BUILD_SPARKLE_SUPPORT)
-      IF(NOT EXISTS "${CMAKE_SOURCE_DIR}/WinSparkle.lib")
-        message(FATAL_ERROR "File ${CMAKE_SOURCE_DIR}/WinSparkle.lib not found in current directory. Please setup winsparkle correctly." )
-      ENDIF()
-      SET(SPARKLE_LIBS ${CMAKE_SOURCE_DIR}/WinSparkle.lib)
-    ENDIF()
-
-ELSEIF (LINUX)
+IF (LINUX)
     INCLUDE_DIRECTORIES(${QT_QTDBUS_INCLUDE_DIR})
     LINK_DIRECTORIES(${QT_QTDBUS_LIBRARIES})
     SET(EXTRA_LIBS ${EXTRA_LIBS} ${QT_QTDBUS_LIBRARIES})
@@ -154,20 +133,19 @@
 ####################
 ###### BEGIN: QT configuration
 ####################
-SET(QT_VERSION_MAJOR 5)
-
-# Qt 5.6.0 removes QtWebKit, we need to use QtWebEnigne. First we detect the
-# current qt version, then use proper name based on the version. However we
-# have to keep using QtWebKit on windows because QtWebEngine can't be
-# compiled in msys2/mingw (QtWebEnigne is based on chrome, which has to be
-# compiled with MSVC.)
 FIND_PROGRAM(qmake_executable NAMES qmake qmake.exe)
 EXECUTE_PROCESS(COMMAND
     bash -c "${qmake_executable} --version | grep -iE '^using qt version [0-9.]+' | awk '{print $4}'"
     OUTPUT_VARIABLE DETECTED_QT_VERSION
     OUTPUT_STRIP_TRAILING_WHITESPACE)
-MESSAGE("qt5 version: ${DETECTED_QT_VERSION}")
-IF(WIN32 OR USE_QT_WEBKIT)
+MESSAGE("Qt version: ${DETECTED_QT_VERSION}")
+EXECUTE_PROCESS(COMMAND
+    bash -c "qmake --version|grep -iE '^using qt version [0-9]'|awk '{print $4}'|grep -iE '^[0-9]'|awk -F . '{print $1}'"
+    OUTPUT_VARIABLE QT_VERSION_MAJOR
+    OUTPUT_STRIP_TRAILING_WHITESPACE)
+MESSAGE("QT_VERSION_MAJOR: ${QT_VERSION_MAJOR}")
+
+IF(USE_QT_WEBKIT)
     ADD_DEFINITIONS(-DSEAFILE_USE_WEBKIT)
     SET(WEBKIT_NAME "WebKit")
     SET(WEBKIT_WIDGETS_NAME "WebKitWidgets")
@@ -178,11 +156,18 @@
     SET(SHIB_EXTRA_HEADER "src/shib/shib-helper.h")
 ENDIF()
 
-SET(USE_QT_LIBRARIES
-    Core Gui Widgets LinguistTools Network
-    )
+IF(QT_VERSION_MAJOR EQUAL 6)
+    SET(USE_QT_LIBRARIES Core Gui Widgets LinguistTools Network Core5Compat WebEngineCore WebEngineWidgets)
+ELSE()
+    SET(USE_QT_LIBRARIES Core Gui Widgets LinguistTools Network)
+ENDIF()
+
 IF (BUILD_SHIBBOLETH_SUPPORT)
-    SET(USE_QT_LIBRARIES ${USE_QT_LIBRARIES} ${WEBENGINE_CORE} ${WEBKIT_NAME} ${WEBKIT_WIDGETS_NAME})
+    IF(QT_VERSION_MAJOR EQUAL 6)
+        SET(USE_QT_LIBRARIES ${USE_QT_LIBRARIES} ${WEBENGINE_CORE} ${WEBKIT_WIDGETS_NAME})
+    ELSE()
+        SET(USE_QT_LIBRARIES ${USE_QT_LIBRARIES} ${WEBENGINE_CORE} ${WEBKIT_NAME} ${WEBKIT_WIDGETS_NAME})
+    ENDIF()
     ADD_DEFINITIONS(-DHAVE_SHIBBOLETH_SUPPORT)
 ENDIF()
 
@@ -190,22 +175,28 @@
     SET(USE_QT_LIBRARIES ${USE_QT_LIBRARIES} "DBus")
 ENDIF()
 
-FIND_PACKAGE(Qt5 REQUIRED ${USE_QT_LIBRARIES})
+IF(QT_VERSION_MAJOR EQUAL 6)
+    FIND_PACKAGE(Qt6 COMPONENTS ${USE_QT_LIBRARIES} REQUIRED)
+ELSE()
+    FIND_PACKAGE(Qt5 REQUIRED ${USE_QT_LIBRARIES})
+ENDIF()
 SET(QT_LUPDATE_EXECUTABLE ${Qt5_LUPDATE_EXECUTABLE})
-# from QT 5.4.0 Changelog
-# The Qt binary packages are now configured with C++11 enabled.
-# this requires your gcc compiler newer than 4.8.1 or clang newer than 3.3
-
-if (CYGWIN OR MINGW)
-    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=gnu++11")
-else()
+# From QT 6 Changelog
+# The Qt binary packages are now configured with C++17 enabled.
+IF(QT_VERSION_MAJOR EQUAL 6)
+    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++17")
+ELSE()
     set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
-endif()
+ENDIF()
 
 # for OS X, we requires libc++ instead
 if (APPLE)
     set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -stdlib=libc++")
-    SET(CMAKE_XCODE_ATTRIBUTE_CLANG_CXX_LANGUAGE_STANDARD "c++11")
+    IF(QT_VERSION_MAJOR EQUAL 6)
+        SET(CMAKE_XCODE_ATTRIBUTE_CLANG_CXX_LANGUAGE_STANDARD "c++17")
+    ELSE()
+        SET(CMAKE_XCODE_ATTRIBUTE_CLANG_CXX_LANGUAGE_STANDARD "c++11")
+    ENDIF()
     SET(CMAKE_XCODE_ATTRIBUTE_CLANG_CXX_LIBRARY "libc++")
 endif()
 
@@ -338,13 +329,31 @@
   third_party/QtAwesome/QtAwesome.qrc
 )
 
-QT5_WRAP_UI(ui_output ${ui_files})
+IF(QT_VERSION_MAJOR EQUAL 6)
+    QT6_WRAP_UI(ui_output ${ui_files})
+ELSE()
+    QT5_WRAP_UI(ui_output ${ui_files})
+ENDIF()
+
+IF(QT_VERSION_MAJOR EQUAL 6)
+    QT6_WRAP_UI(ui_output ${ui_files})
+ELSE()
+    QT5_WRAP_UI(ui_output ${ui_files})
+ENDIF()
 
 # meta object compliation(moc)
-QT5_WRAP_CPP(moc_output ${moc_headers})
+IF(QT_VERSION_MAJOR EQUAL 6)
+    QT6_WRAP_CPP(moc_output ${moc_headers})
+ELSE()
+    QT5_WRAP_CPP(moc_output ${moc_headers})
+ENDIF()
 
 # resources files
-QT5_ADD_RESOURCES(resources_ouput ${qrc_files})
+IF(QT_VERSION_MAJOR EQUAL 6)
+    QT6_ADD_RESOURCES(resources_ouput ${qrc_files})
+ELSE()
+    QT5_ADD_RESOURCES(resources_ouput ${qrc_files})
+ENDIF()
 
 # MESSAGE("moc output: ${moc_output}")
 # MESSAGE("ui output: ${ui_output}")
@@ -357,3 +366,7 @@
 ###### BEGIN: pthread support is required explicitly on linux
 ####################
 
+IF(NOT APPLE)
+  SET(CMAKE_THREAD_PREFER_PTHREAD ON)
+  INCLUDE(FindThreads)
+  LINK_LIBRARIES(${CMAKE_THREAD_LIBS_INIT})

=== debian/changelog ===
seafile-client (8.0.6+ds1-2) unstable; urgency=medium

  * Set source-Upstream-Version to the *actual* upstream version
    without repack suffix (Closes: #1008826)

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Mon, 04 Apr 2022 11:42:59 +0200

seafile-client (8.0.6+ds1-1) unstable; urgency=medium

  * Prepare watch file with repack suffix for next time
  * New upstream version 8.0.6+ds1

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Thu, 31 Mar 2022 08:46:45 +0200

=== debian/control ===
--- 
+++ 
@@ -33,9 +33,9 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
  libsearpc1 (>= 3.2.0),
- libseafile0 (>= ${source:Upstream-Version}),
- seafile-daemon (>= ${source:Upstream-Version}),
-Suggests: seafile-cli (>= ${source:Upstream-Version})
+ libseafile0 (>= ${source-Upstream-Version}),
+ seafile-daemon (>= ${source-Upstream-Version}),
+Suggests: seafile-cli (>= ${source-Upstream-Version})
 Description: Seafile Desktop Client
  Seafile is a file syncing and sharing software with file encryption
  and group sharing, emphasis on reliability and high performance.

## seafile-client 8.0.7+ds1

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 PROJECT(seafile-client)
 SET(SEAFILE_CLIENT_VERSION_MAJOR 8)
 SET(SEAFILE_CLIENT_VERSION_MINOR 0)
-SET(SEAFILE_CLIENT_VERSION_PATCH 6)
+SET(SEAFILE_CLIENT_VERSION_PATCH 7)
 SET(PROJECT_VERSION "${SEAFILE_CLIENT_VERSION_MAJOR}.${SEAFILE_CLIENT_VERSION_MINOR}.${SEAFILE_CLIENT_VERSION_PATCH}")
 ADD_DEFINITIONS(-DSEAFILE_CLIENT_VERSION=${PROJECT_VERSION})
 ADD_DEFINITIONS(-DGLIB_VERSION_MIN_REQUIRED=GLIB_VERSION_2_26)

=== debian/changelog ===
seafile-client (8.0.7+ds1-1) unstable; urgency=medium

  * New upstream version 8.0.7
  * Bump libsearpc dependency

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Tue, 03 May 2022 22:15:44 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  libjansson-dev,
  libquazip5-dev,
  libseafile-dev (>= 8.0.3),
- libsearpc-dev (>= 3.2.0),
+ libsearpc-dev (>= 3.2.0-8+really3.2+git20220425.54145b0),
  libsqlite3-dev,
  libssl-dev,
  libtool,
@@ -32,7 +32,7 @@
 Package: seafile-gui
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
- libsearpc1 (>= 3.2.0),
+ libsearpc1 (>= 3.2.0-8+really3.2+git20220425.54145b0),
  libseafile0 (>= ${source-Upstream-Version}),
  seafile-daemon (>= ${source-Upstream-Version}),
 Suggests: seafile-cli (>= ${source-Upstream-Version})

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,8 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
+
+include /usr/share/dpkg/architecture.mk
+include /usr/share/dpkg/pkg-info.mk
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
@@ -16,8 +19,6 @@
 export QT_SELECT=5
 
 CMAKE_FLAGS = -DCMAKE_BUILD_TYPE=Release -DBUILD_TESTING=ON -DBUILD_SHIBBOLETH_SUPPORT=ON -DAUTOMOC_MOC_OPTIONS=-p./
-
-include /usr/share/dpkg/architecture.mk
 
 ifeq ($(DEB_HOST_ARCH),armel)
  CMAKE_FLAGS += -DUSE_QT_WEBKIT=ON
@@ -50,3 +51,7 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- $(CMAKE_FLAGS)
+
+override_dh_gencontrol:
+	# Set source-Upstream-Version to the *actual* upstream version without repack suffix
+	dh_gencontrol -- -Vsource-Upstream-Version=$(DEB_VERSION_UPSTREAM:%+ds1=%)

## seafile-client 8.0.8+ds1

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 PROJECT(seafile-client)
 SET(SEAFILE_CLIENT_VERSION_MAJOR 8)
 SET(SEAFILE_CLIENT_VERSION_MINOR 0)
-SET(SEAFILE_CLIENT_VERSION_PATCH 7)
+SET(SEAFILE_CLIENT_VERSION_PATCH 8)
 SET(PROJECT_VERSION "${SEAFILE_CLIENT_VERSION_MAJOR}.${SEAFILE_CLIENT_VERSION_MINOR}.${SEAFILE_CLIENT_VERSION_PATCH}")
 ADD_DEFINITIONS(-DSEAFILE_CLIENT_VERSION=${PROJECT_VERSION})
 ADD_DEFINITIONS(-DGLIB_VERSION_MIN_REQUIRED=GLIB_VERSION_2_26)

=== debian/changelog ===
seafile-client (8.0.8+ds1-1) unstable; urgency=medium

  * New upstream version 8.0.8+ds1
  * Always build against WebKit (Closes: #1016477)
  * Avoid explicitly specifying -Wl,--as-needed linker flag

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Wed, 03 Aug 2022 08:53:47 +0200

=== debian/control ===
--- 
+++ 
@@ -21,8 +21,7 @@
  qtchooser,
  qttools5-dev,
  qttools5-dev-tools,
- qtwebengine5-dev [!armel !mips !mips64el !ppc64el !s390x !alpha !hppa !m68k !powerpc !ppc64 !sh4 !sparc64],
- libqt5webkit5-dev [armel mips mips64el ppc64el s390x alpha hppa m68k powerpc ppc64 sh4 sparc64],
+ libqt5webkit5-dev,
  uuid-dev,
 Standards-Version: 4.6.0
 Homepage: https://seafile.com

## seafile-client 8.0.9+ds1

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 PROJECT(seafile-client)
 SET(SEAFILE_CLIENT_VERSION_MAJOR 8)
 SET(SEAFILE_CLIENT_VERSION_MINOR 0)
-SET(SEAFILE_CLIENT_VERSION_PATCH 8)
+SET(SEAFILE_CLIENT_VERSION_PATCH 9)
 SET(PROJECT_VERSION "${SEAFILE_CLIENT_VERSION_MAJOR}.${SEAFILE_CLIENT_VERSION_MINOR}.${SEAFILE_CLIENT_VERSION_PATCH}")
 ADD_DEFINITIONS(-DSEAFILE_CLIENT_VERSION=${PROJECT_VERSION})
 ADD_DEFINITIONS(-DGLIB_VERSION_MIN_REQUIRED=GLIB_VERSION_2_26)

=== debian/changelog ===
seafile-client (8.0.9+ds1-1) unstable; urgency=medium

  * New upstream version 8.0.9+ds1

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Thu, 24 Nov 2022 15:01:08 +0100

## seafile-client 8.0.10+ds1

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 PROJECT(seafile-client)
 SET(SEAFILE_CLIENT_VERSION_MAJOR 8)
 SET(SEAFILE_CLIENT_VERSION_MINOR 0)
-SET(SEAFILE_CLIENT_VERSION_PATCH 9)
+SET(SEAFILE_CLIENT_VERSION_PATCH 10)
 SET(PROJECT_VERSION "${SEAFILE_CLIENT_VERSION_MAJOR}.${SEAFILE_CLIENT_VERSION_MINOR}.${SEAFILE_CLIENT_VERSION_PATCH}")
 ADD_DEFINITIONS(-DSEAFILE_CLIENT_VERSION=${PROJECT_VERSION})
 ADD_DEFINITIONS(-DGLIB_VERSION_MIN_REQUIRED=GLIB_VERSION_2_26)

=== debian/changelog ===
seafile-client (8.0.10+ds1-2) unstable; urgency=medium

  * Use help2man to generate man page for seafile-applet

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Fri, 17 Feb 2023 11:04:08 +0100

seafile-client (8.0.10+ds1-1) unstable; urgency=medium

  * New upstream version 8.0.10+ds1
  * Bump Standards-Version
  * Add patch to fix cmake

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Fri, 30 Dec 2022 10:46:41 +0100

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
 Build-Depends:
  cmake,
  debhelper-compat (= 13),
+ help2man,
  intltool,
  libcurl4-openssl-dev,
  libevent-dev,
@@ -23,7 +24,7 @@
  qttools5-dev-tools,
  libqt5webkit5-dev,
  uuid-dev,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://seafile.com
 Vcs-Browser: https://salsa.debian.org/debian/seafile-client
 Vcs-Git: https://salsa.debian.org/debian/seafile-client.git

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/pkg-info.mk

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic

export QT_SELECT=5

CMAKE_FLAGS = -DCMAKE_BUILD_TYPE=Release -DBUILD_TESTING=ON -DBUILD_SHIBBOLETH_SUPPORT=ON -DAUTOMOC_MOC_OPTIONS=-p./

CMAKE_FLAGS += -DUSE_QT_WEBKIT=ON

%:
	dh $@ --builddirectory=build

override_dh_auto_configure:
	dh_auto_configure -- $(CMAKE_FLAGS)

override_dh_gencontrol:
	# Set source-Upstream-Version to the *actual* upstream version without repack suffix
	dh_gencontrol -- -Vsource-Upstream-Version=$(DEB_VERSION_UPSTREAM:%+ds1=%)

override_dh_install:
	QT_QPA_PLATFORM=minimal help2man -N \
		-n "Seafile Desktop Client" -i debian/seafile-applet.1.in --version-string=$(DEB_VERSION_UPSTREAM) \
		$(CURDIR)/debian/seafile-gui/usr/bin/seafile-applet > $(CURDIR)/debian/seafile-applet.1
	dh_install
